image: node:latest

stages:
    # - test
    - deploy

# test:
#     stage: test
#     environment:
#         name: testing
#     script:
#         - yarn install
#         - yarn lint
#         - yarn build

deploy-production:
    stage: deploy
    environment:
        name: deploying
        # username: tuanhung0601
        url: 34.150.90.28
    only:
        - master
    before_script:
        # # Run ssh-agent in background:
        # - eval "$(ssh-agent -s)"
        # # Add SSH Key:
        # - echo "$SSH_PRIVATE_KEY" | tr -d '\r' | ssh-add - > /dev/null
        # - ssh-add -l
        # # Install pm2:
        # # - npm i -g pm2
        # - pwd
        # # - git clone git@gitlab.com:hungnt612.work/test.git
        # # - mkdir /home/tuanhung0601/digitalcard
        - apt-get update -q
        - apt-get install -q git
        # Setup SSH deploy keys
        - "which ssh-agent || ( apt-get install -q openssh-client )"
        - eval $(ssh-agent -s)
        - ssh-add <(echo "$SSH_PRIVATE_KEY")
        - mkdir -p ~/.ssh
        - '[[ -f /.dockerenv ]] && echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config'
    script:
        - echo "ssh to server..."
        - ssh tuanhung0601@34.96.175.108 "cd digitalcard && cd test && git checkout master && git pull origin master && ~/.nvm/nvm.sh  && yarn install && yarn build && pm2 reload client"
        # - git clone git@gitlab.com:hungnt612.work/test.git
        # - cd test
        # - ls -al
        # - echo "Application successfully deployed."
        # - echo "test"
        # - ifconfig  && . ~/.nvm/nvm.sh && nvm install v12 && npm install && pm2 reload app.js
        # - pm2 deploy ecosystem.config.json production
